Bug 114774 - Badly formed Internal Link causes stack trace
Badly formed Internal Link causes stack trace
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: content types (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks: 113496
  Show dependency treegraph
 
Reported: 2004-02-02 13:43 EST by Matthew Booth
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-17 17:49:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch described in bug report (829 bytes, patch)
2004-02-02 13:44 EST, Matthew Booth
no flags Details | Diff

  None (edit)
Description Matthew Booth 2004-02-02 13:43:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
A problem with our importer caused Links to be imported without the
associated link item (in APLAWS, the Related Links authoring step).
Specifically it was an internal link, but both target_uri and
target_item_id were null.

Obviously this is a problem with the importer which we'll fix, however
its possible using only published APIs to create a Link in this state.
Such a link causes the Related Links authoring step to give a stack
trace, which isn't helpful.

I'll attach my patch to a comment. It simply outputs a log message at
ERROR level indicating the invalid Link object instead of throwing a
stack trace.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. blah
2.
3.
    

Additional info:
Comment 1 Matthew Booth 2004-02-02 13:44:36 EST
Created attachment 97410 [details]
Patch described in bug report
Comment 2 Richard Li 2004-02-05 15:42:28 EST
@40120

Note You need to log in before you can comment on or make changes to this bug.